Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class GenerateStubsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport
                      org.codehaus.groovy.ant.GenerateStubsTask

    class GenerateStubsTask
    extends CompileTaskSupport

Generates Java stubs from Groovy sources.

version:
  $Id: GenerateStubsTask.java 18226 2009-11-12 07:16:10Z paulk $

author:
  Jason Dillon

Field Summary

Fields inherited from class CompileTaskSupport
classpath, config, destdir, failOnError, log, src

Constructor Summary
`GenerateStubsTask()`

Method Summary
`protected void` | `compile()`

Methods inherited from class CompileTaskSupport
compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate

Methods inherited from class MatchingTask
add, setProject, setIncludes, addNot, addAnd, addOr, addContains, createInclude, createIncludesFile, createExclude, createExcludesFile, createPatternSet, XsetItems, setExcludes, XsetIgnore, setDefaultexcludes, setIncludesfile, setExcludesfile, setCaseSensitive, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addNone, addMajority, addDate, addSize, addFilename, addCustom, addPresent, addDepth, addDepend, addContainsRegexp, addDifferent, addType, addModified, log, log, log, log, init, execute, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Task
log, log, log, log, init, execute, maybeConfigure, getTaskName, getOwningTarget, setRuntimeConfigurableWrapper, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, setDescription, getProject, setProject, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GenerateStubsTask

    GenerateStubsTask()

Method Detail

### compile

    @Override
    protected void compile()

Copyright © 2003-2009 The Codehaus. All rights reserved.